Importante:

¿Como pedir soporte? (Marzo 18, 2015)

[General] Varios problemas una vez actualizado
Hola, acabo de actualizar mi foro desde la version 1.6.15 a la mas reciente 1.8.5 y me he encontrado de golpe con varios problemas. Aparte de que el...

Hola, acabo de actualizar mi foro desde la version 1.6.15 a la mas reciente 1.8.5 y me he encontrado de golpe con varios problemas.

Aparte de que el estilo custom hay varios iconos que han dejado de verse, he decido poner el estilo default para comprobar mejor qué fallos tengo:

- El bbcode de [img] no funciona: Realmente no tengo ni idea de qué puede ser, pero cuando lo uso en lugar de salir la imágen sale algo asi: [Imagen: URLDELAIMAGEN][/img][img]

- En el editor de texto no aparecen los botones: Otra cosa que nunca me había pasado, pero en el editor de mensajes no me aparecen los tipicos botones para poner texto en negrita, cursiva, etc. EDIT: Esto lo he arreglado instalando un theme de 1.8.

- Visualizando los posts tampoco me aparecen los típicos botones de editar, responder, etc. EDIT: Esto lo he arreglado instalando un theme de 1.8.

- Los plugins no funcionan: Ni uno de los plugins que tenía instalados funciona, aunque acabo de encontrar esto: http://community.mybb.com/thread-75646.html EDIT: Ha funcionado con la gran mayoría.

- Al postear, no se muestran ni la hora ni la fecha de los últimos mensajes, como si no pudiera saberla. EDIT: He conseguido arreglarlo instalando el lenguaje nuevo.

- Cuando intentas registrarte al foro, sale un mensaje diciendo que podrías ser un spammer y que no puedes registrarte, que contactes con un administrador (No tengo ningún plugin activado).

[Imagen: CNLgWOFWoAMisI-.jpg]

Muchas gracias por adelantado.[/img]
Última modificación: August 24, 2015, 8:49 am por Tyrano.
0 0
Tema anterior Tema siguiente
Todos los problemas que mencionas son por lo mismo que estas indicando.
Para empezar ningún theme de 1.6.x funciona en 1.8.x, se pueden instalar si, pero solo causan problemas, para 1.8.x tenes todos los Themes en este link Themes 1.8.x por otro lado de igual forma que los Themes, los Plugins de 1.6.x "no" funcionan en 1.8.x, hacer compatibles cambiando la versión solo hace que el plugin sea reconocido por Mybb, pero eso no significa que el mismo "funcione", la mayoría de los plugins que haces eso "no" funcionan y pueden llegar a dañar el foro según la función del plugin, para evitar estos problemas instala únicamente plugins para 1.8.x que podes bajar de acá Plugins Mybb 1.8.x

En resumen, desactiva todo plugin que tengas en tu foro, elimina cualquier theme de 1.6.x que tengas instalado, y con el foro Limpio y sin plugins, usando el theme default volvé a verificar que funciona y que no, recordá limpiar la cache de tu navegador, o si ves algún error en el mismo indica cuales, también de paso verifica que las plantillas del theme default no estén modificadas, si es así restaurarlas al original y volvé a verificar.
Si haces esto no tendrías que tener ningún problema en tu foro, después que confirmes que esta todo funcionando correctamente instala los plugins o themes que quieras, pero de 1.8.x únicamente.
Última modificación: August 24, 2015, 1:10 pm por XEDE.
0
(August 24, 2015, 1:07 pm)XEDE escribió:  Todos los problemas que mencionas son por lo mismo que estas indicando.
Para empezar ningún theme de 1.6.x funciona en 1.8.x, se pueden instalar si, pero solo causan problemas, para 1.8.x tenes todos los Themes en este link Themes 1.8.x por otro lado de igual forma que los Themes, los Plugins de 1.6.x "no" funcionan en 1.8.x, hacer compatibles cambiando la versión solo hace que el plugin sea reconocido por Mybb, pero eso no significa que el mismo "funcione", la mayoría de los plugins que haces eso "no" funcionan y pueden llegar a dañar el foro según la función del plugin, para evitar estos problemas instala únicamente plugins para 1.8.x que podes bajar de acá Plugins Mybb 1.8.x

En resumen, desactiva todo plugin que tengas en tu foro, elimina cualquier theme de 1.6.x que tengas instalado, y con el foro Limpio y sin plugins, usando el theme default volvé a verificar que funciona y que no, recordá limpiar la cache de tu navegador, o si ves algún error en el mismo indica cuales, también de paso verifica que las plantillas del theme default no estén modificadas, si es así restaurarlas al original y volvé a verificar.
Si haces esto no tendrías que tener ningún problema en tu foro, después que confirmes que esta todo funcionando correctamente instala los plugins o themes que quieras, pero de 1.8.x únicamente.

Ahora estoy usando un theme de 1.8 y la mayoria de problemas los he solucionado, lo único son algunos plugins y otras cosas propias del theme, aunque el problema de que no me funcione el BBCode de [img] no se ha solucionado y no se por qué.

Entonces tu me recomiendas borrar todos los themes que tenía de 1.6 y solo utilizar de 1.8 verdad? Por cierto he visto que la mayoria que hay son tuyos, enhorabuena xD
0
Los paso que te indico son para descartar problemas, para estar seguro que el problema no viene de un theme o un plugin, lo correcto es eliminar todos los plugins y themes, y solo dejar el foro limpio, una vez realizado esto verificar que las plantillas y archivos de Mybb estén correctos, esto lo podes verificar en la solapa Mantenimiento, ya que como te digo es mas que seguro que el error sea por algun plugin o mycode que quedo en la BD de tu foro.
Recién una vez que verifiques que el foro esta OK te diría que veas de ir personalizando el mismo con un theme o plugin, lo del codigo IMG que mencionas por defecto tiene que funcionar, si no lo hace es porque algo quedo mal en el foro, ya sea por algún plugin o plantilla que este mal, te fijaste en tu ACP si en la solapa MyCode no figura algo que este relacionado a las imágenes?.
0
Me temo que no tengo nada donde comentas, supongo que me tocará desinstalar todo aunque no se si al desinstalar por el ejemplo el plugin de Like/Dislike perderé toda la info que ya tenía y se reseteará.
0
Fijate en caso de los plugins varios fueron actualizados para 1.8.x solo tenes que buscar el mismo en el link que te deje, en otro caso al instalar otro plugin de similar función, con ir a tu ACP-->Mantenimiento-->Tenes una opción que dice "Recontar y Reconstruir" o similar eso sirve justamente para que se solucionen problemas como el de like o demas.
La opción que te digo en la misma ruta Mantenimiento para verificar plantillas tiene que estar ya que es una herramienta propia de Mybb, en todo caso siempre recordá antes hacer un backup de tu foro y base de datos antes de empezar a hacer los cambios.
0

Colaboradores: XEDE , Tyrano

This forum uses Lukasz Tkacz MyBB addons.